;*************************************************************
;
;   eZ80 Internal I/O Port Definitions
;
;   Copyright (c) 2001 ICONIX Research, Ogden UT
;
;*************************************************************
        .cpu eZ80
;
;   Programmable Reload Counter/Timers
;
TMR0_CTL    EQU 080h    ;Timer 0 Control Register
TMR0_DR_L   EQU 081h    ;Timer 0 Data Register, Low Byte
TMR0_RR_L   EQU 081h    ;Timer 0 Reload Register, Low Byte
TMR0_DR_H   EQU 082h    ;Timer 0 Data Register, High Byte
TMR0_RR_H   EQU 082h    ;Timer 0 Reload Register, High Byte
TMR1_CTL    EQU 083h    ;Timer 1 Control Register
TMR1_DR_L   EQU 084h    ;Timer 1 Data Register, Low Byte
TMR1_RR_L   EQU 084h    ;Timer 1 Reload Register, Low Byte
TMR1_DR_H   EQU 085h    ;Timer 1 Data Register, High Byte
TMR1_RR_H   EQU 085h    ;Timer 1 Reload Register, High Byte
TMR2_CTL    EQU 086h    ;Timer 2 Control Register
TMR2_DR_L   EQU 087h    ;Timer 2 Data Register, Low Byte
TMR2_RR_L   EQU 087h    ;Timer 2 Reload Register, Low Byte
TMR2_DR_H   EQU 088h    ;Timer 2 Data Register, High Byte
TMR2_RR_H   EQU 088h    ;Timer 2 Reload Register, High Byte
TMR3_CTL    EQU 089h    ;Timer 3 Control Register
TMR3_DR_L   EQU 08Ah    ;Timer 3 Data Register, Low Byte
TMR3_RR_L   EQU 08Ah    ;Timer 3 Reload Register, Low Byte
TMR3_DR_H   EQU 08Bh    ;Timer 3 Data Register, High Byte
TMR3_RR_H   EQU 08Bh    ;Timer 3 Reload Register, High Byte
TMR4_CTL    EQU 08Ch    ;Timer 4 Control Register
TMR4_DR_L   EQU 08Dh    ;Timer 4 Data Register, Low Byte
TMR4_RR_L   EQU 08Dh    ;Timer 4 Reload Register, Low Byte
TMR4_DR_H   EQU 08Eh    ;Timer 4 Data Register, High Byte
TMR4_RR_H   EQU 08Eh    ;Timer 4 Reload Register, High Byte
TMR5_CTL    EQU 08Fh    ;Timer 5 Control Register
TMR5_DR_L   EQU 090h    ;Timer 5 Data Register, Low Byte
TMR5_RR_L   EQU 090h    ;Timer 5 Reload Register, Low Byte
TMR5_DR_H   EQU 091h    ;Timer 5 Data Register, High Byte
TMR5_RR_H   EQU 091h    ;Timer 5 Reload Register, High Byte
               ;092h Not Accessible
;
;   Watch-Dog Timer
;
WDT_CTL     EQU 093h    ;Watch-Dog Timer Control Register
WDT_RR      EQU 094h    ;Watch-Dog Timer Reset Register
               ;095h Not Accessible
;
;   General-Purpose Input/Output Ports
;
PA_DR       EQU 096h    ;Port A Data Register
PA_DDR      EQU 097h    ;Port A Data Direction Register
PA_ALT1     EQU 098h    ;Port A Alternate Register 1
PA_ALT2     EQU 099h    ;Port A Alternate Register 2
PB_DR       EQU 09Ah    ;Port B Data Register
PB_DDR      EQU 09Bh    ;Port B Data Direction Register
PB_ALT1     EQU 09Ch    ;Port B Alternate Register 1
PB_ALT2     EQU 09Dh    ;Port B Alternate Register 2
PC_DR       EQU 09Eh    ;Port C Data Register
PC_DDR      EQU 09Fh    ;Port C Data Direction Register
PC_ALT1     EQU 0A0h    ;Port C Alternate Register 1
PC_ALT2     EQU 0A1h    ;Port C Alternate Register 2
PD_DR       EQU 0A2h    ;Port D Data Register
PD_DDR      EQU 0A3h    ;Port D Data Direction Register
PD_ALT1     EQU 0A4h    ;Port D Alternate Register 1
PD_ALT2     EQU 0A5h    ;Port D Alternate Register 2
               ;0A6h Not Accessible
               ;0A7h Not Accessible
;
;Chip Select/Wait State Generator
;
CS0_LBR     EQU 0A8h    ;Chip Select 0 Lower Bound Register
CS0_UBR     EQU 0A9h    ;Chip Select 0 Upper Bound Register
CS0_CTL     EQU 0AAh    ;Chip Select 0 Control Register
CS1_LBR     EQU 0ABh    ;Chip Select 1 Lower Bound Register
CS1_UBR     EQU 0ACh    ;Chip Select 1 Upper Bound Register
CS1_CTL     EQU 0ADh    ;Chip Select 1 Control Register
CS2_LBR     EQU 0AEh    ;Chip Select 2 Lower Bound Register
CS2_UBR     EQU 0AFh    ;Chip Select 2 Upper Bound Register
CS2_CTL     EQU 0B0h    ;Chip Select 2 Control Register
CS3_LBR     EQU 0B1h    ;Chip Select 3 Lower Bound Register
CS3_UBR     EQU 0B2h    ;Chip Select 3 Upper Bound Register
CS3_CTL     EQU 0B3h    ;Chip Select 3 Control Register

; On-Chip RAM Control
RAM_CTL     EQU 0B4h    ;RAM Control Register
RAM_ADDR_U  EQU 0B5h    ;RAM Address Upper Byte

; Universal ZiLOG Interface Blocks
SPI0_CTL    EQU 0B6h    ;SPI 0 Control Register
SPI0_SR     EQU 0B7h    ;SPI 0 Status Register
SPI0_RBR    EQU 0B8h    ;SPI 0 Receive Buffer Register
SPI0_TSR    EQU 0B8h    ;SPI 0 Transmit Shift Register
;B9 Not Accessible
SPI1_CTL    EQU 0BAh    ;SPI 1 Control Register
SPI1_SR     EQU 0BBh    ;SPI 1 Status Register
SPI1_RBR    EQU 0BCh    ;SPI1 Receive Buffer Register
SPI1_TSR    EQU 0BCh    ;SPI1 Transmit Shift Register
               ;0BDh Not Accessible
               ;0BEh Not Accessible
               ;0BFh Not Accessible
UART0_RBR   EQU 0C0h    ;UART 0 Receive Buffer Register
UART0_THR   EQU 0C0h    ;UART 0 Transmit Holding Register
BRG0_DLR_L  EQU 0C0h    ;BRG 0 Divisor Latch Register, Low Byte
BRG0_DLR_H  EQU 0C1h    ;BRG 0 Divisor Latch Register, High Byte
UART0_IER   EQU 0C1h    ;UART 0 Interrupt Enable Register
UART0_IIR   EQU 0C2h    ;UART 0 Interrupt Identification Register
UART0_FCTL  EQU 0C2h    ;UART 0 FIFO Control Register
UART0_LCTL  EQU 0C3h    ;UART 0 Line Control Register
UART0_MCTL  EQU 0C4h    ;UART 0 Modem Control Register
UART0_LSR   EQU 0C5h    ;UART 0 Line Status Register
UART0_MSR   EQU 0C6h    ;UART 0 Modem Status Register
UART0_SPR   EQU 0C7h    ;UART 0 Scratch Pad Register
I2C0_SAR    EQU 0C8h    ;I2C 0 Slave Address Register
I2C0_xSAR   EQU 0C9h    ;I2C 0 Extended Slave Address Register
I2C0_DR     EQU 0CAh    ;I2C 0 Data Register
I2C0_CTL    EQU 0CBh    ;I2C 0 Control Register
I2C0_SR     EQU 0CCh    ;I2C 0 Status Register
I2C0_CCR    EQU 0CCh    ;I2C 0 Clock Control Register
I2C0_SRR    EQU 0CDh    ;I2C 0 Software Reset Register
               ;0CEh Not Accessible
UZI0_CTL    EQU 0CFh    ;UZI 0 Control Register
;
UART1_RBR   EQU 0D0h    ;UART 1 Receive Buffer Register
UART1_THR   EQU 0D0h    ;UART 1 Transmit Holding Register
BRG1_DLR_L  EQU 0D0h    ;BRG 1 Divisor Latch Register, Low Byte
BRG1_DLR_H  EQU 0D1h    ;BRG 1 Divisor Latch Register, High Byte
UART1_IER   EQU 0D1h    ;UART 1 Interrupt Enable Register
UART1_IIR   EQU 0D2h    ;UART 1 Interrupt Identification Register
UART1_FCTL  EQU 0D2h    ;UART 1 FIFO Control Register
UART1_LCTL  EQU 0D3h    ;UART 1 Line Control Register
UART1_MCTL  EQU 0D4h    ;UART 1 Modem Control Register
UART1_LSR   EQU 0D5h    ;UART 1 Line Status Register
UART1_MSR   EQU 0D6h    ;UART 1 Modem Status Register
UART1_SPR   EQU 0D7h    ;UART 1 Scratch Pad Register
I2C1_SAR    EQU 0D8h    ;I2C 1 Slave Address Register
I2C1_xSAR   EQU 0D9h    ;I2C 1 Extended Slave Address Register
I2C1_DR     EQU 0DAh    ;I2C 1 Data Register
I2C1_CTL    EQU 0DBh    ;I2C 1 Control Register
I2C1_SR     EQU 0DCh    ;I2C 1 Status Register
I2C1_CCR    EQU 0DCh    ;I2C 1 Clock Control Register
I2C1_SRR    EQU 0DDh    ;I2C 1 Software Reset Register
               ;0DEh Not Accessible
UZI1_CTL    EQU 0DFh    ;UZI 1 Control Register
;
;   Multiply-Accumulator
;
MACC_xSTART EQU 0E0h    ;Multiply-Accumulator x Starting Address Register
MACC_xEND   EQU 0E1h    ;Multiply-Accumulator x Ending Address Register
MACC_xRELOAD EQU 0E2h   ;Multiply-Accumulator x Reload Register
MACC_LENGTH EQU 0E3h    ;Multiply-Accumulator Length Register
MACC_ySTART EQU 0E4h    ;Multiply-Accumulator y Starting Address Register
MACC_yEND   EQU 0E5h    ;Multiply-Accumulator y Ending Address Register
MACC_yRELOAD EQU 0E6h   ;Multiply-Accumulator y Reload Register
MACC_CTL    EQU 0E7h    ;Multiply-Accumulator Control Register
MACC_AC0    EQU 0E8h    ;Multiply-Accumulator Byte 0 Register
MACC_AC1    EQU 0E9h    ;Multiply-Accumulator Byte 1 Register
MACC_AC2    EQU 0EAh    ;Multiply-Accumulator Byte 2 Register
MACC_AC3    EQU 0EBh    ;Multiply-Accumulator Byte 3 Register
MACC_AC4    EQU 0ECh    ;Multiply-Accumulator Byte 4 Register
MACC_STAT   EQU 0EDh    ;Multiply-Accumulator Status Register
;
;   DMA Controllers
;
DMA0_SAR_L  EQU 0EEh    ;DMA0 Source Address Register, Low Byte
DMA0_SAR_H  EQU 0EFh    ;DMA0 Source Address Register, High Byte
DMA0_SAR_U  EQU 0F0h    ;DMA0 Source Address Upper Byte Register
DMA0_DAR_L  EQU 0F1h    ;DMA0 Destination Address Register, Low Byte
DMA0_DAR_H  EQU 0F2h    ;DMA0 Destination Address Register, High Byte
DMA0_DAR_U  EQU 0F3h    ;DMA0 Destination Address Upper Byte Register
DMA0_BC_L   EQU 0F4h    ;DMA0 Byte Count Register, Low Byte
DMA0_BC_H   EQU 0F5h    ;DMA0 Byte Count Register, High Byte
DMA0_CTL    EQU 0F6h    ;DMA0 Control Register
DMA1_SAR_L  EQU 0F7h    ;DMA1 Source Address Register, Low Byte
DMA1_SAR_H  EQU 0F8h    ;DMA1 Source Address Register, High Byte
DMA1_SAR_U  EQU 0F9h    ;DMA1 Source Address Upper Byte Register
DMA1_DAR_L  EQU 0FAh    ;DMA1 Destination Address Register, Low Byte
DMA1_DAR_H  EQU 0FBh    ;DMA1 Destination Address Register, High Byte
DMA1_DAR_U  EQU 0FCh    ;DMA1 Destination Address Upper Byte Register
DMA1_BC_L   EQU 0FDh    ;DMA1 Byte Count Register, Low Byte
DMA1_BC_H   EQU 0FEh    ;DMA1 Byte Count Register, High Byte
DMA1_CTL    EQU 0FFh    ;DMA1 Control Register
